﻿@model ForgotPasswordViewModel

@{
    Layout = "~/Views/Shared/_BaseLayout.cshtml";
}

<main id="mainContainer">

    <!--logo-->
    <div class="logo-container">
        <div class="logo-portal">
            @if (!string.IsNullOrEmpty(Model.LogoUrl))
            {
                <img alt="" src="@Model.LogoUrl" />
            }
            else
            {
                <img alt="Jumbula" src="~/Images/JBLogo.png" />
            }
        </div>
    </div>

    <!--Forget Password Box-->
    <section id="forgetPassBox" class="domains-portal">
        @using (Ajax.BeginForm("ForgotPassword", "Account", new { returnUrl = ViewBag.ReturnUrl }, new AjaxOptions { HttpMethod = "Post", OnSuccess = "AjaxSuccess", OnFailure = "AjaxFailure", OnBegin = "AjaxBegin", OnComplete = "AjaxComplete" }, new { id = "ForgotPasswordForm" }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            <p class="txt-forgot">
                Enter your email address and we will send you an email with password reset instructions.
            </p>
            <div class="form-group error">
                <span class="input-icon jbi-email"></span>
                @*<input type="email" class="form-control jb-icon-input" id="exampleInputEmail1" data-placeholder="Email" placeholder="Email">*@
                @Html.TextBoxFor(model => model.Email, new { @class = "form-control jb-icon-input", @placeholder = "Email address", data_placeholder = "Email address" })
                @Html.ValidationMessageFor(model => model.Email)
                <p id="ForgotPasswordMessage"></p>
            </div>

            <button id="recover" class="btn btn-jb jb-lg-btn" type="submit">Recover</button>

        }


    </section>

</main>


@section Styles{
    <link href="~/Content/Student/Home/LoginSignup.css" rel="stylesheet" />
}

@section Scripts{

    <script src="~/Scripts/Student/LoginSignup.js"></script>

    <script type="text/javascript">

        var msg = $("#ForgotPasswordMessage");

        function AjaxBegin() {
            $("#recover").prop('disabled', true);
            $("#recover").html('Sending email...');
        }

        function AjaxComplete() {
            $("#recover").prop('disabled', false);
            $("#recover").html('Recover');
        }

        function AjaxSuccess(data, status) {
            if (data.Status == "Success") {

                window.location = '@Url.Action("ForgotPasswordConfirmation", "Account") ';

            }
            else {
                msg.css("display", "block");
                setTimeout(function () {
                    msg.slideUp();
                }, 6000);
                msg.html(data.Message);
            }
        }

        function AjaxFailure() {
            msg.css("display", "block");
            msg.html("Error in establish connection with server.").removeClass("text-success").addClass("text-danger");
        }
        $("#recover").click(function () {
            msg.slideUp(500);
        });
        $("#login .form-control").focus(function () {
            $(this).parent().addClass("active");
        }).blur(function () {
            $(this).parent().removeClass("active");
        });

        $(".social-options .step1").click(function () {
            $(this).parents(".social-options").addClass("active-step");

        });
        $(".social-options ul li").click(function () {
            $(".social-options ul li").removeClass("active");
            $(this).addClass("active");
        });
    </script>

}
